## org.eclipse.jet.compiler
Class XMLBodyElementEnd

    java.lang.Object
      org.eclipse.jet.compiler.JET2ASTElement
          org.eclipse.jet.compiler.XMLBodyElementEnd

    public class XMLBodyElementEnd

extends JET2ASTElement

Represent the closing tag of an XML Tag with a body.

Method Summary
`void` `accept(JET2ASTVisitor visitor)` Visit the AST and its contained elements.
`JET2ASTElement` `getPrevElement()`
`XMLBodyElement` `getStartTag()`
`boolean` `removeLineWhenOtherwiseEmpty()` Indicate whether the the surrounding whitespace, including the trailing new line should be removed from the template output.
`void` `setStartTag(XMLBodyElement startTag)`
`java.lang.String` `toString()`

Methods inherited from class org.eclipse.jet.compiler.JET2ASTElement
`getColumn, getEnd, getLine, getNextElement, getParent, getStart`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Method Detail

### accept

    public void accept(JET2ASTVisitor visitor)

  Description copied from class: `JET2ASTElement`
  Visit the AST and its contained elements.

  Specified by:
    `accept` in class `JET2ASTElement`

### getStartTag

    public final XMLBodyElement getStartTag()

  Returns:
    Returns the startTag.

### removeLineWhenOtherwiseEmpty

    public boolean removeLineWhenOtherwiseEmpty()

  Description copied from class: `JET2ASTElement`
  Indicate whether the the surrounding whitespace, including the trailing new line should be removed from the template output. In general, elements that create output should return `false`, while element that do should should return `true`.

  Specified by:
    `removeLineWhenOtherwiseEmpty` in class `JET2ASTElement`
  Returns:
    `true` if the containing line should be removed if otherwise empty.

### setStartTag

    public final void setStartTag(XMLBodyElement startTag)

  Parameters:
    `startTag` - The startTag to set.

### getPrevElement

    public JET2ASTElement getPrevElement()

  Overrides:
    `getPrevElement` in class `JET2ASTElement`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Copyright 2006 IBM Corporation and others. All Rights Reserved.